package net.pingex.discordbot;

/**
 * Exception thrown when an issue involving Configuration occurs.
 * @version 0.1-dev
 * @author Raphael "Pingex" NAAS
 */
public class ConfigurationException extends Exception
{
	public ConfigurationException(String message)
	{
		super(message);
	}

	protected ConfigurationException(String message, Throwable cause, boolean enableSuppression, boolean writableStackTrace)
	{
		super(message, cause, enableSuppression, writableStackTrace);
	}

	public ConfigurationException(Throwable cause)
	{
		super(cause);
	}

	public ConfigurationException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public ConfigurationException()
	{
		super();
	}
}
